function L = Bivariate_Likelihood(parameters,Y)

t0 = 2;
M = 5;
[N,T] = size(Y);

F = [parameters(1),zeros(1,4); ...
     zeros(2,5); ...
     0,1,0,0,0; ...
     0,0,1,0,0];
G = [sqrt(parameters(2)),zeros(1,2); ...
     zeros(2,1),diag(sqrt([parameters(3),parameters(4)])); ...
      zeros(2,3)];
H = [0,1,-1,0,0; ...
     1,0.5,0.5,-0.5,-0.5];

Ex = zeros(M,1);
Vx = diag([parameters(2)/(1-parameters(1)^2),parameters(3),parameters(4), ...
           parameters(3),parameters(4)]);

Xf = zeros(M,T);
Xu = zeros(M,T-1);  
Vf = zeros(M,M,T);  
Vu = zeros(M,M,T-1);
Yf = zeros(N,T);  
Wf = zeros(N,N,T);

Xf(:,1) = Ex;
Vf(:,:,1) = Vx;
Yf(:,1) = H*Xf(:,1);
Wf(:,:,1) = H*Vf(:,:,1)*H';
L = 0;

for t = 1:T-1
    K = Vf(:,:,t) * H' * pinv(H*Vf(:,:,t)*H');
    Vu(:,:,t) = (eye(M) - K*H) * Vf(:,:,t);
    Vf(:,:,t+1) = F*Vu(:,:,t)*F' + G*G';
    Xu(:,t) = Xf(:,t) + K*(Y(:,t) - H*Xf(:,t));
    Xf(:,t+1) = F*Xu(:,t);
    Yf(:,t+1) = H*Xf(:,t+1);
    Wf(:,:,t+1) = H*Vf(:,:,t+1)*H';
    L = L + ((N/2)*log(2*pi) + (1/2)*log(det(Wf(:,:,t+1))) ...
     + (1/2)*(Y(:,t+1)-Yf(:,t+1))'*pinv(Wf(:,:,t+1))*(Y(:,t+1)-Yf(:,t+1))) ...
     *(t+1 > t0);
end

L = L/T;