function V = variance_Bivariate(ax,a1,a2,gx,g1,g2)

nFreq = 10000;
Lambda = linspace(0,(nFreq-1)*2*pi/nFreq,nFreq);                           % Fourier frequencies

Qz = zeros(6,6);

for lambda = Lambda
    fdx = gx/(1+ax^2-2*ax*cos(lambda));
    f1 = g1/(1+a1^2-2*a1*cos(lambda));
    f2 = g2/(1+a2^2-2*a2*cos(lambda));
    
    fz = [f1+f2,-(1-exp(-sqrt(-1)*lambda))*f2;...
          -(1-exp(sqrt(-1)*lambda))*f2,fdx+2*(1-cos(lambda))*f2];
    fz1 = pinv(fz);
    aux = [1,-(1-exp(sqrt(-1)*lambda)),...
           -(1-exp(-sqrt(-1)*lambda)),2*(1-cos(lambda))];
    Dz = [0,0,0,2*gx*(cos(lambda)-ax)/((1+ax^2-2*ax*cos(lambda))^2);...
          2*g1*(cos(lambda)-a1)/((1+a1^2-2*a1*cos(lambda))^2),0,0,0;...
          2*g2*(cos(lambda)-a2)/((1+a2^2-2*a2*cos(lambda))^2)*aux;...
          0,0,0,1/(1+ax^2-2*ax*cos(lambda));...
          1/(1+a1^2-2*a1*cos(lambda)),0,0,0;...
          1/(1+a2^2-2*a2*cos(lambda))*aux];
    Qz = Qz + (1/2)*Dz*kron(fz1,(fz1.'))*(Dz');  
end

V = real(pinv(Qz/nFreq));