function [estimate,avar] = UN_Estimation(m,gx,gv,Y,options)

estimate = zeros(5,1);

q = gx/gv;
b = (sqrt(q^2 + 4*q) - (2+q))/2;
s2 = (2+q)*gv / (1+b^2);                          

parameters = [m b s2];

lower = [-100.00 -0.9999   0.00001]';
upper = [ 100.00 -0.0001 100.00000]';

aux_estimate = fmincon('UN_Likelihood',...
    parameters,[],[],[],[],lower,upper,[],options,Y);

[~,~,hessian] = UN_Likelihood(aux_estimate,Y);

q_estimate = -(1+aux_estimate(2)^2)/aux_estimate(2) - 2;
estimate(1,1) = aux_estimate(1);
estimate(2,1) = q_estimate*(1+aux_estimate(2)^2)*aux_estimate(3) / ...
               (2+q_estimate);
estimate(3,1) = (1+aux_estimate(2)^2)*aux_estimate(3) / ...
                (2+q_estimate);
estimate(4,1) = aux_estimate(2);
estimate(5,1) = aux_estimate(3);

D = zeros(5,2);
D(1,1) = 1;
D(2,2) = 2*(1+aux_estimate(2))*aux_estimate(3);
D(2,3) = (1+aux_estimate(2))^2;
D(3,2) = -aux_estimate(3);
D(3,3) = -aux_estimate(2);
D(4,2) = 1;
D(5,3) = 1;

avar = D * pinv(hessian) * D';