function [L,s,H] = UN_Likelihood(parameters,Y)

c = parameters(1);
b = parameters(2);
s2 = parameters(3);

[~,T] = size(Y);                            % Sample size
t = 2;                                      % Time index

L = (1/2)*log(2*pi) + (1/2)*log(s2);        % (Negative) log-likelihood
mt = c;                                     % Conditional mean
if nargout > 1
    s = zeros(3,1);                         % (Negative) score
    dmt = [1;zeros(2,1)];                   % Gradient of conditional mean
    ds2 = [0; 0; 1];                        % Gradient of conditional variance
    if nargout > 2
        H = zeros(3,3);                     % (Negative) hessian
        hmt = zeros(3,3);                   % Hessian of conditional mean
        hs2 = zeros(3,3);                   % Hessian of conditional variance
        aux = [0; 1; 0];
    end
end

while t < T
    e = ((Y(1,t)-Y(1,t-1)) - mt) / sqrt(s2);
    L = L + (1/2)*(e^2) / (T-1);
    if nargout > 1
        s = s - ((e/sqrt(s2))*dmt + ((e^2-1)/(2*s2))*ds2) / (T-1);
        if nargout > 2
            H = H - ((e/sqrt(s2))*hmt + ((e^2-1)/(2*s2))*hs2 -...
                (1/s2)*(dmt*dmt') - ((2*e^2-1)/(2*s2^2))*(ds2*ds2') -...
                (e/(s2^(3/2)))*((dmt*ds2') - (ds2*dmt'))) / (T-1);
            hmt = -((aux*dmt') + (dmt*aux')) - b*hmt;
        end
        dmt = [1;(Y(1,t)-Y(1,t-1))-mt;0] - b*dmt;    
    end
    mt = c + b*((Y(1,t)-Y(1,t-1))-mt);
    t = t+1;
end