function V = variance_UN(gx,gv)

nFreq = 10000;
Lambda = linspace(0,(nFreq-1)*2*pi/nFreq,nFreq);                           % Fourier frequencies

Qdy = zeros(2,2);

for lambda = Lambda
    fdy = gx + 2*(1-cos(lambda))*gv;
    Ddy = [1;...
          2*(1-cos(lambda))];
    Qdy = Qdy + (1/(2*fdy^2))*Ddy*(Ddy');  
end

V = [gx,zeros(1,2);...
     zeros(2,1),pinv(Qdy/nFreq)];