function GAMMA = AutoCovariance(X,jlag)

j = abs(jlag);           % Lag length
[T,N] = size(X);         % Variables organized by columns
GAMMA = zeros(N,N);      % Covariance matri

for row = 1:N
    for col = 1:N
        aux_row = X((1+j):T,row);
        aux_col = X(1:(T-j),col);
        GAMMA(row,col) = (aux_row'*aux_col) / (T-j-1)...
            - mean(aux_row)*mean(aux_col);
    end
end

if jlag < j
    GAMMA = GAMMA';
end