function L = Multivariate_Likelihood(parameters, Y)

t0 = 1;
kappa = 1e6;
[N, T] = size(Y);

gx = parameters(1);
gv = parameters(2);
q = gx/gv;

x = 0; % x_(1|0)
p = (kappa/gv)/(1+N*(kappa/gv)) + q; % p_(1|0)
L = 0;

for t = 1:T-1
    K = p/(1+N*p);
    p = K + q;
    x = x + K*(sum(Y(:, t), 1)/sqrt(gv) - N*x);
    L = L + ((N/2)*log(2*pi) + (N/2)*log(gv) + (1/2)*log(det((p*ones(N, N) + eye(N)))) ...
     + (1/2)*(Y(:, t+1) - sqrt(gv)*x*ones(N, 1))' * pinv(gv*(p*ones(N, N) + eye(N))) ...
     * (Y(:, t+1) - sqrt(gv)*x*ones(N, 1))) * (t+1 > t0);
end

L = L/T;