function zeta_0 = GIG_sampler(epsilon_0, theta_sh_0)

% Default settings
K = 3; T = size(epsilon_0, 2);
tolerance_b = 1e-3;

zeta_0 = zeros(1, T);

nu_sh = theta_sh_0(1);
b_sh = theta_sh_0(2:4);
if (b_sh'*b_sh < tolerance_b) 
    for t = 1:T
        QQ = (epsilon_0(:, t)')*epsilon_0(:, t)/(nu_sh-2);
        zeta_0(1, t) = gamrnd((K+nu_sh)/2, 2/(QQ+1));
    end
else
    a_sh = (-(nu_sh-4) + sqrt((nu_sh-4)^2+8*(nu_sh-4)*(b_sh'*b_sh)))/(4*(b_sh'*b_sh));
    Upsilon_sh = (nu_sh-2)*(eye(K) + (a_sh-1)/(b_sh'*b_sh)*(b_sh*b_sh'));
    for t = 1:T
        pp = epsilon_0(:, t) + a_sh*b_sh; 
        QQ = pp'*pinv(Upsilon_sh)*pp;
        zeta_0(1, t) = gigrnd((K+nu_sh)/2, sqrt((nu_sh-2)*a_sh*(b_sh'*b_sh)), sqrt(QQ+1), 1);
    end
end