function [L,Vf,Vu,Wf] = Likelihood(parameters0,Y)

kappa = 1e3;
t0 = 2;
M = 4;
[N,T] = size(Y);

C = [(1-parameters0(3))*parameters0(1); ... 
     0; ...
     (1-parameters0(4))*parameters0(2)/2; ...
     -(1-parameters0(5))*parameters0(2)/2];
F = [[1+parameters0(3),-parameters0(3);1,0],zeros(2,2); ...
    zeros(2,2),diag([parameters0(4),parameters0(5)])];
G = [[sqrt(parameters0(6));0],zeros(2,2); ...
      zeros(2,1),diag(sqrt([parameters0(7),parameters0(8)]))];
H = [ones(2,1), zeros(2,1), eye(2)];

Ex = 0*C;
Vx = [kappa*ones(2,2),zeros(2,2);...
      zeros(2,2),...
      [parameters0(7)/(1-parameters0(4)^2),0;...
       0,parameters0(8)/(1-parameters0(5)^2)]];

Xf = zeros(M,T);
Xu = zeros(M,T-1);  
Vf = zeros(M,M,T);  
Vu = zeros(M,M,T-1);
Yf = zeros(N,T);  
Wf = zeros(N,N,T);

Xf(:,1) = Ex;
Vf(:,:,1) = Vx;
Yf(:,1) = H*Xf(:,1);
Wf(:,:,1) = H*Vf(:,:,1)*H';
L = 0;

for t = 1:T-1
    K = Vf(:,:,t)*H' * pinv(Wf(:,:,t));
    Vu(:,:,t) = (eye(M) - K*H) * Vf(:,:,t);
    Vf(:,:,t+1) = F*Vu(:,:,t)*F' + G*G';
    Xu(:,t) = Xf(:,t) + K*(Y(:,t) - Yf(:,t));
    Xf(:,t+1) = C + F*Xu(:,t);
    Yf(:,t+1) = H*Xf(:,t+1);
    Wf(:,:,t+1) = H*Vf(:,:,t+1)*H';
    L = L + ((N/2)*log(2*pi) + (1/2)*log(det(Wf(:,:,t+1))) ...
     + (1/2)*(Y(:,t+1)-Yf(:,t+1))'*pinv(Wf(:,:,t+1))*(Y(:,t+1)-Yf(:,t+1))) ...
     *(t+1 > t0);
end