function [info,info_mean] = information_matrix(parameters)

T = 100000;
LambdaT = linspace(0,2*pi*(T-1)/T,T);

k = max(size(parameters));

ax = parameters(1);
a1 = parameters(2);
a2 = parameters(3);
gx = parameters(4);
g1 = parameters(5);
g2 = parameters(6);

info = zeros(k,k);
i = sqrt(-1);

for t = 1:T
    lambda = LambdaT(t);
    f = [g1/(1+a1^2-2*a1*cos(lambda))+g2/(1+a2^2-2*a2*cos(lambda)),...
        (1/2)*(1-exp(i*lambda))*(g1/(1+a1^2-2*a1*cos(lambda))-g2/(1+a2^2-2*a2*cos(lambda)));...
        (1/2)*(1-exp(-i*lambda))*(g1/(1+a1^2-2*a1*cos(lambda))-g2/(1+a2^2-2*a2*cos(lambda))),...
        gx/(1+ax^2-2*ax*cos(lambda))+(1/2)*(1-cos(lambda))*(g1/(1+a1^2-2*a1*cos(lambda))+g2/(1+a2^2-2*a2*cos(lambda)))];
    f1 = pinv(f);
    M = kron(f1,f1.');
    D = [0,0,0,2*gx*(cos(lambda)-ax)/((1+ax^2-2*ax*cos(lambda))^2);...
         2*g1*(cos(lambda)-a1)/((1+a1^2-2*a1*cos(lambda))^2)*[1,(1-exp(-i*lambda))/2,(1-exp(i*lambda))/2,(1-cos(lambda))/2];...
         2*g2*(cos(lambda)-a2)/((1+a2^2-2*a2*cos(lambda))^2)*[1,-(1-exp(-i*lambda))/2,-(1-exp(i*lambda))/2,(1-cos(lambda))/2];...
         0,0,0,1/(1+ax^2-2*ax*cos(lambda));...
         1/(1+a1^2-2*a1*cos(lambda))*[1,(1-exp(-i*lambda))/2,(1-exp(i*lambda))/2,(1-cos(lambda))/2];...
         1/(1+a2^2-2*a2*cos(lambda))*[1,-(1-exp(-i*lambda))/2,-(1-exp(i*lambda))/2,(1-cos(lambda))/2]];
    info = info + (1/2)*D*M*D';
end

lambda = 0;
info_mean = [g1/(1+a1^2-2*a1*cos(lambda))+g2/(1+a2^2-2*a2*cos(lambda)),...
             (1/2)*(1-exp(i*lambda))*(g1/(1+a1^2-2*a1*cos(lambda))-g2/(1+a2^2-2*a2*cos(lambda)));...
             (1/2)*(1-exp(-i*lambda))*(g1/(1+a1^2-2*a1*cos(lambda))-g2/(1+a2^2-2*a2*cos(lambda))),...
             gx/(1+ax^2-2*ax*cos(lambda))+(1/2)*(1-cos(lambda))*(g1/(1+a1^2-2*a1*cos(lambda))+g2/(1+a2^2-2*a2*cos(lambda)))];

info = real(info)/T;
info_mean = real(info_mean)/(2*pi);
info_mean = [info_mean(2,2),info_mean(1,2);...
             info_mean(1,2),info_mean(1,1)];